import { IBindIO } from '../interfaces/bind-io.interface';
export declare class NgxBindOutputsService {
    /**
     * BindOutputs Directive
     */
    bindOutputs(directive: Partial<IBindIO>): void;
    /**
     * Outputs
     */
    checkKeyNameToOutputBind(directive: Partial<IBindIO>, parentKey: string, key: string): boolean;
    checkOutputToBind(directive: Partial<IBindIO>, parentKey: string, key: string): boolean;
    bindOutput(directive: Partial<IBindIO>, parentKey: string, key: string): void;
    /**
     * Utils
     */
    getOutputs(directive: Partial<IBindIO>): {
        parentKeys: string[];
        keys: string[];
    };
}
